diff --git a/res/res_pjsip_session.c b/res/res_pjsip_session.c
index 87ce2b0..4955251 100644
--- a/res/res_pjsip_session.c
+++ b/res/res_pjsip_session.c
@@ -1444,7 +1444,10 @@ struct ast_sip_session *ast_sip_session_create_outgoing(struct ast_sip_endpoint
 
 	/* If no location has been provided use the AOR list from the endpoint itself */
 	if (location || !contact) {
-		location = S_OR(location, endpoint->aors);
+		location = S_OR(location, endpoint ? endpoint->aors : NULL);
+		if (ast_strlen_zero(location)) {
+			return NULL;
+		}
 
 		ast_sip_location_retrieve_contact_and_aor_from_list(location, &found_aor, &found_contact);
 		if (!found_contact || ast_strlen_zero(found_contact->uri)) {
